summaryrefslogtreecommitdiffstats
path: root/source/n/conntrack-tools
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/conntrack-tools')
-rwxr-xr-xsource/n/conntrack-tools/conntrack-tools.SlackBuild17
-rw-r--r--source/n/conntrack-tools/slack-desc4
2 files changed, 15 insertions, 6 deletions
diff --git a/source/n/conntrack-tools/conntrack-tools.SlackBuild b/source/n/conntrack-tools/conntrack-tools.SlackBuild
index 2af5957e3..5221d3ca4 100755
--- a/source/n/conntrack-tools/conntrack-tools.SlackBuild
+++ b/source/n/conntrack-tools/conntrack-tools.SlackBuild
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for conntrack-tools
@@ -22,8 +22,10 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=conntrack-tools
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -38,7 +40,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -60,7 +69,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find . \
diff --git a/source/n/conntrack-tools/slack-desc b/source/n/conntrack-tools/slack-desc
index 15726e0ed..d0b4d65b9 100644
--- a/source/n/conntrack-tools/slack-desc
+++ b/source/n/conntrack-tools/slack-desc
@@ -2,7 +2,7 @@
# The "handy ruler" below makes it easier to edit a package description.
# Line up the first '|' above the ':' following the base package name, and
# the '|' on the right side marks the last column you can put a character in.
-# You must make exactly 11 lines for the formatting to be correct. It's also
+# You must make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
@@ -15,5 +15,5 @@ conntrack-tools:
conntrack-tools: The conntrack-tools include the userspace daemon conntrackd
conntrack-tools: and the command line interface conntrack.
conntrack-tools:
-conntrack-tools:
+conntrack-tools: Homepage: https://www.netfilter.org/projects/conntrack-tools
conntrack-tools: